Tạo mã QR ngay

Mã vạch

GET https://taoqr.vn/api/barcodes/
curl --request GET \
--url 'https://taoqr.vn/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
search Tùy chọn Chuỗi Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: name, value.
type Tùy chọn Chuỗi Các giá trị được phép: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T
datetime_field Tùy chọn Chuỗi Các giá trị được phép: datetime, last_datetime
datetime_start Tùy chọn Chuỗi Lọc kết quả bắt đầu từ thời điểm này. Định dạng Y-m-d H:i:s.
datetime_end Tùy chọn Chuỗi Lọc kết quả cho đến thời điểm này. Định dạng Y-m-d H:i:s.
order_by Tùy chọn Chuỗi Trường để sắp xếp kết quả theo. Các giá trị được phép là: barcode_id, datetime, last_datetime, name, type.
order_type Tùy chọn Chuỗi Thứ tự sắp xếp của kết quả. Các giá trị cho phép là: ASC cho sắp xếp tăng dần, và DESC cho sắp xếp giảm dần.
page Tùy chọn Số nguyên Số trang mà bạn muốn kết quả từ. Mặc định là 1.
results_per_page Tùy chọn Số nguyên Bạn muốn bao nhiêu kết quả mỗi trang. Các giá trị cho phép là: 10, 25, 50, 100, 250, 500, 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "type": "Example",
            "name": "Example",
            "value": "Example",
            "barcode": "Example",
            "settings": [],
            "embedded_data": "Example",
            "last_datetime": null,
            "datetime": "2026-11-16 05:51:59"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://taoqr.vn/api/barcodes?page=1",
        "last": "https://taoqr.vn/api/barcodes?page=1",
        "next": null,
        "prev": null,
        "self": "https://taoqr.vn/api/barcodes?page=1"
    }
}
GET https://taoqr.vn/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://taoqr.vn/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "type": "Example",
        "value": "Example",
        "barcode": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-11-16 05:51:59"
    }
}
POST https://taoqr.vn/api/barcodes
Tham số Chi tiết Mô tả
project_id Tùy chọn Số nguyên -
name Bắt buộc Chuỗi -
type Bắt buộc Chuỗi Các giá trị được phép: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T
is_bulk Tùy chọn Boolean
value Bắt buộc Chuỗi -
display_text Tùy chọn Boolean -
foreground_color Tùy chọn Chuỗi -
background_color Tùy chọn Chuỗi -
width_scale Tùy chọn Số nguyên 1-10
height Tùy chọn Số nguyên 30-1000
barcode Tùy chọn Chuỗi -
embedded_data Tùy chọn Mảng -
Tham số Chi tiết Mô tả
curl --request POST \
--url 'https://taoqr.vn/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "type": "Example",
        "value": "Example",
        "barcode": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-11-16 05:51:59"
    }
}
POST https://taoqr.vn/api/barcodes/{barcode_id}
Tham số Chi tiết Mô tả
project_id Tùy chọn Chuỗi -
name Tùy chọn Chuỗi -
type Tùy chọn Chuỗi Các giá trị được phép: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T
value Bắt buộc Chuỗi -
display_text Tùy chọn Boolean -
foreground_color Tùy chọn Chuỗi -
background_color Tùy chọn Chuỗi -
width_scale Tùy chọn Số nguyên 1-10
height Tùy chọn Số nguyên 30-1000
barcode Tùy chọn Chuỗi -
embedded_data Tùy chọn Mảng -
curl --request POST \
--url 'https://taoqr.vn/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "type": "Example",
        "value": "Example",
        "barcode": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-11-16 05:51:59"
    }
}
DELETE https://taoqr.vn/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://taoqr.vn/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \